## octave-doctest 0.6.1

=== DESCRIPTION ===
Name: doctest
Version: 0.6.1
Date: 2018-01-04
Author: various authors
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
Title: Documentation tests
Description: The Octave-Forge Doctest package finds specially-formatted
 blocks of example code within documentation files.  It then executes
 the code and confirms the output is correct.  This can be useful as part of
 a testing framework or simply to ensure that documentation stays up-to-date
 during software development.
Depends: octave (>= 4.2.0)
Url: https://github.com/catch22/octave-doctest
License: BSD-3-Clause

=== debian/changelog ===
octave-doctest (0.6.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:16 -0200

octave-doctest (0.6.1-1) unstable; urgency=low

  * Initial release (closes: #898313)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 08:30:38 -0300

=== debian/control ===
Source: octave-doctest
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/doctest/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-doctest
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: documentation tests for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/doctest-(.+)\.tar\.gz

## octave-doctest 0.7.0

=== DESCRIPTION ===
Name: doctest
Version: 0.7.0
Date: 2018-03-23
Author: various authors
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
Title: Documentation tests
Description: Find and run example code within documentation.
 Formatted blocks of example code are extracted from documentation
 files and executed to confirm their output is correct.  This can be
 part of a testing framework or simply to ensure that documentation
 stays up-to-date during software development.
Depends: octave (>= 4.2.0)
Url: https://octave.sourceforge.io/doctest
License: BSD-3-Clause

=== debian/changelog ===
octave-doctest (0.7.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Archive, Repository.

  [ Rafael Laboissière ]
  * d/u/metadata: Change all URLs from Savannah to GitHub

 -- Rafael Laboissière <rafael@debian.org>  Tue, 27 Oct 2020 12:56:53 -0300

octave-doctest (0.7.0-3) unstable; urgency=medium

  * d/control:
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N into
      the package's list of dependencies.
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:42:27 -0300

octave-doctest (0.7.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright: Add copyright and license information for the AppStream file
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:14:04 -0300

octave-doctest (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 06 May 2019 10:18:38 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1)
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/doctest/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest

## octave-doctest 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: doctest
-Version: 0.7.0
-Date: 2018-03-23
+Version: 0.8.0
+Date: 2023-01-03
 Author: various authors
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
 Title: Documentation tests

=== Makefile ===
SHELL   := /bin/bash

# Maintainer makefile for Octave Doctest
#
# SPDX-License-Identifier: FSFAP
#
# Copyright 2015 Oliver Heimlich
# Copyright 2015 Michael Walter
# Copyright 2015-2017, 2019, 2022 Colin B. Macdonald
# Copyright 2016 Carnë Draug
# Copyright 2019 Mike Miller
# Copyright 2019 Andrew Janke
# Copyright 2019 Manuel Leonhardt
# Copyright 2022 Markus Muetzel
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

TAR := $(shell which gtar 2>/dev/null || echo tar)

PACKAGE := $(shell grep "^Name: " DESCRIPTION | cut -f2 -d" ")
VERSION := $(shell grep "^Version: " DESCRIPTION | cut -f2 -d" ")

BUILD_DIR := tmp
MATLAB_PKG := ${BUILD_DIR}/${PACKAGE}-matlab-${VERSION}
MATLAB_PKG_ZIP := ${MATLAB_PKG}.zip
OCTAVE_RELEASE := ${BUILD_DIR}/${PACKAGE}-${VERSION}
OCTAVE_RELEASE_TARBALL := ${BUILD_DIR}/${PACKAGE}-${VERSION}.tar.gz

INSTALLED_PACKAGE := ~/octave/${PACKAGE}-${VERSION}/packinfo/DESCRIPTION
HTML_DIR := ${BUILD_DIR}/${PACKAGE}-html
HTML_TARBALL := ${HTML_DIR}.tar.gz

OCTAVE ?= octave
MKOCTFILE ?= mkoctfile -Wall
MATLAB ?= matlab

TEST_CODE=ver(), success = doctest({'doctest', 'test/', 'test/examples/'}); exit(~success);
# run tests twice so we can see some output
BIST_CODE=ver(), cd('test'); disp(pwd()), test('bist'); success1 = test('bist'); cd('..'); cd('test_extra'); disp(pwd()), test('run_tests'); success2 = test('run_tests'); exit(~success1 || ~success2);
MATLAB_EXTRA_TEST_CODE=ver(), addpath(pwd()), disp(pwd()), cd('test_extra'); disp(pwd()), success = run_tests(); exit(~success);


.PHONY: help clean install test test-interactive dist html matlab_test matlab_pkg

help:
	@echo Available rules:
	@echo "  clean              clean all temporary files"
	@echo "  install            install package in Octave"
	@echo "  test               run tests with Octave"
	@echo "  test-interactive   run tests with Octave in interactive mode"
	@echo "  test-bist          run additional tests with Octave"
	@echo "  dist               create Octave package (${OCTAVE_RELEASE_TARBALL})"
	@echo "  html               create Octave Forge html (${HTML_TARBALL})"
	@echo "  release            create both tarballs and md5 sums"
	@echo
	@echo "  matlab_test        run tests with Matlab"
	@echo "  matlab_pkg         create Matlab package (${MATLAB_PKG_ZIP})"


GIT_DATE   := $(shell git show -s --format=\%ci)
# Follows the recommendations of https://reproducible-builds.org/docs/archives
define create_tarball
$(shell set -o pipefail; cd $(dir $(1)) \
    && find $(notdir $(1)) -print0 \
    | LC_ALL=C sort -z \
    | $(TAR) c --mtime="$(GIT_DATE)" \
            --owner=root --group=root --numeric-owner \
            --no-recursion --null -T - -f - \
    | gzip -9n > "$(2)")
endef

%.tar.gz: %
	$(call create_tarball,$<,$(notdir $@))

%.zip: %
	cd "$(BUILD_DIR)" ; zip -9qr - "$(notdir $<)" > "$(notdir $@)"

$(OCTAVE_RELEASE): .git/index | $(BUILD_DIR)
	@echo "Creating package version $(VERSION) release ..."
	-$(RM) -r "$@"
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/README.matlab.md" \
	      "$@/.gitignore" \
	      "$@/.mailmap"
	$(RM) -r "$@/.github"
	$(RM) -r "$@/util"
	chmod -R a+rX,u+w,go-w "$@"

$(HTML_DIR): install | $(BUILD_DIR)
	@echo "Generating HTML documentation. This may take a while ..."
	-$(RM) -r "$@"
	$(OCTAVE) --no-window-system --silent \
	  --eval "pkg load generate_html; " \
	  --eval "pkg load $(PACKAGE);" \
	  --eval "options = get_html_options ('octave-forge');" \
	  --eval "generate_package_html ('${PACKAGE}', '${HTML_DIR}', options)"
	chmod -R a+rX,u+w,go-w $@

dist: $(OCTAVE_RELEASE_TARBALL)
html: $(HTML_TARBALL)
md5: $(OCTAVE_RELEASE_TARBALL) $(HTML_TARBALL)
	@md5sum $^

release: md5
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "*After review*, an Octave-Forge admin will tag this with:"
	@echo "    git tag -a v$(VERSION) -m \"Version $(VERSION)\""


# TODO: more matlab subdirs
${BUILD_DIR} ${MATLAB_PKG}/private:
	mkdir -p "$@"

clean:
	rm -rf "${BUILD_DIR}"

test:
	${OCTAVE} --path ${CURDIR}/inst --eval "${TEST_CODE}"

test-interactive:
	script --quiet --command "${OCTAVE} --path ${CURDIR}/inst --eval \"${TEST_CODE}\"" /dev/null

test-bist:
	${OCTAVE} --path ${CURDIR}/inst --eval "${BIST_CODE}"

## Install in Octave (locally)
install: ${INSTALLED_PACKAGE}
${INSTALLED_PACKAGE}: ${OCTAVE_RELEASE_TARBALL}
	$(OCTAVE) --silent --eval "pkg install $<"


## Matlab packaging
matlab_pkg: $(MATLAB_PKG_ZIP)

${MATLAB_PKG}: | $(BUILD_DIR) ${MATLAB_PKG}/private
	$(OCTAVE) --path ${CURDIR}/util --silent --eval \
		"convert_comments('inst/', '', '../${MATLAB_PKG}/')"
	cp -a inst/private/*.m ${MATLAB_PKG}/private/
	cp -a COPYING ${MATLAB_PKG}/
	cp -a CONTRIBUTORS ${MATLAB_PKG}/
	cp -a NEWS ${MATLAB_PKG}/
	cp -a README.matlab.md ${MATLAB_PKG}/
	cp -a test ${MATLAB_PKG}/
	cp -a test_extra ${MATLAB_PKG}/

matlab_test: matlab_pkg
	cd "${MATLAB_PKG}"; ${MATLAB} -nojvm -nodisplay -nosplash -r "${TEST_CODE}"

matlab_extra_test: matlab_pkg
	cd "${MATLAB_PKG}"; ${MATLAB} -nojvm -nodisplay -nosplash -r "${MATLAB_EXTRA_TEST_CODE}"

=== debian/changelog ===
octave-doctest (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 Jan 2023 06:12:58 -0300

octave-doctest (0.7.0-5) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * d/watch:
    + Bump to format version 4
    + Adjust for new URL at gnu-octave.github.io
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 05:18:36 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+               dh-sequence-octave
+Standards-Version: 4.6.2
 Homepage: https://octave.sourceforge.io/doctest/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/doctest/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/doctest-(.+).tar.gz

## octave-doctest 0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: doctest
-Version: 0.8.0
-Date: 2023-01-03
+Version: 0.8.1
+Date: 2025-09-13
 Author: various authors
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>, Michael Walter <michael.walter@gmail.com>
 Title: Documentation tests
@@ -10,5 +10,5 @@
  part of a testing framework or simply to ensure that documentation
  stays up-to-date during software development.
 Depends: octave (>= 4.2.0)
-Url: https://octave.sourceforge.io/doctest
+Url: https://gnu-octave.github.io/packages/doctest/
 License: BSD-3-Clause

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Copyright 2015 Oliver Heimlich
 # Copyright 2015 Michael Walter
-# Copyright 2015-2017, 2019, 2022 Colin B. Macdonald
+# Copyright 2015-2017, 2019, 2022-2023 Colin B. Macdonald
 # Copyright 2016 Carnë Draug
 # Copyright 2019 Mike Miller
 # Copyright 2019 Andrew Janke

=== debian/changelog ===
octave-doctest (0.8.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.8.1
    This version copes with both Octave 9 and 10 (Closes: #1115221)
  * d/copyright: Reflect upstream changes
  * d/p/adjust-error-test-octave-10.patch: Drop patch (applied upstream)
  * d/s/lintian-overrides: Update override for debian-watch-lacks-sourceforge-redirector
  * d/u/metadata: Update URLs for new repository location
  * d/watch: Convert to version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 15:44:50 -0300

octave-doctest (0.8.0-2) experimental; urgency=medium

  * d/copyright: Update Source URL
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/p/adjust-error-test-octave-10.patch: New patch (Closes: #1114623)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 11 Sep 2025 02:46:47 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.6.2
-Homepage: https://octave.sourceforge.io/doctest/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/doctest/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-doctest.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-doctest
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-doctest
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/doctest/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/doctest-(.+).tar.gz
